Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.sequenceScores.statisticalModels.trainable.hmm
Class HMMFactory.PseudoTransitionElement

    java.lang.Object
      de.jstacs.sequenceScores.statisticalModels.trainable.hmm.HMMFactory.PseudoTransitionElement

Enclosing class:
  HMMFactory

    public static class HMMFactory.PseudoTransitionElement

extends Object

This class is used as place holder for a later `BasicHigherOrderTransition.AbstractTransitionElement`. It is used in the factory and can be used externally for using the method `HMMFactory.propagateESS(double, ArrayList)`.

Author:
  Jens Keilwagen

Constructor Summary
`HMMFactory.PseudoTransitionElement(int[] context, int[] states, double[] posScore)` This constructor creates an new `HMMFactory.PseudoTransitionElement` without edge weights.
`HMMFactory.PseudoTransitionElement(int[] context, int[] states, double[] posScore, double[] weights)` This constructor creates an new `HMMFactory.PseudoTransitionElement` with specific edge weights.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HMMFactory.PseudoTransitionElement

    public HMMFactory.PseudoTransitionElement(int[] context,
                                              int[] states,
                                              double[] posScore)

  This constructor creates an new `HMMFactory.PseudoTransitionElement` without edge weights.

  Parameters:
    `context` - the context of this instance; can be `null`
    `states` - the states to be visited from the instance; can be `null`
    `posScore` - a positive score reflecting the a-priori assumption about the next visited state which is used in the method `HMMFactory.propagateESS(double, ArrayList)`; can be `null`

### HMMFactory.PseudoTransitionElement

    public HMMFactory.PseudoTransitionElement(int[] context,
                                              int[] states,
                                              double[] posScore,
                                              double[] weights)

  This constructor creates an new `HMMFactory.PseudoTransitionElement` with specific edge weights.

  Parameters:
    `context` - the context of this instance; can be `null`
    `states` - the states to be visited from the instance; can be `null`
    `posScore` - a positive score reflecting the a-priori assumption about the next visited state which is used in the method `HMMFactory.propagateESS(double, ArrayList)`; can be `null`
    `weights` - the edge weight that is used for drawing the final HMM using one oth the methods `AbstractHMM.getGraphvizRepresentation(java.text.NumberFormat)`, ...; can be `null`

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD